%global pypi_name click

Summary:        Simple wrapper around optparse for powerful command line utilities
Name:           python-%{pypi_name}
Version:        8.1.7
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/mitsuhiko/click
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
click is a Python package for creating beautiful command line interfaces in a composable way with as
little amount of code as necessary.  It's the "Command Line Interface Creation Kit".  It's highly
configurable but comes with good defaults out of the box.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Simple wrapper around optparse for powerful command line utilities

BuildRequires:  python%{python3_pkgversion}-devel pyproject-rpm-macros python3-pytest

%description -n python%{python3_pkgversion}-%{pypi_name}
click is a Python package for creating beautiful command line interfaces in a composable way with as
little amount of code as necessary.  It's the "Command Line Interface Creation Kit".  It's highly
configurable but comes with good defaults out of the box.

%prep
%autosetup -n %{pypi_name}-%{version} -p1
sed -i 's|requirements/tests.txt|requirements/tests.in|' tox.ini

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python%{python3_pkgversion}-%{pypi_name} -f %pyproject_files
%license LICENSE.rst
%doc README.rst CHANGES.rst

%changelog
* Mon Sep 09 2024 cunshunxia <cunshunxia@tencent.com> - 8.1.7-3
- use pytest instead of tox.

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.1.7-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 jackeyji <jackeyji@tencent.com> - 8.1.7-1
- upgrade to 8.1.7

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.0.3-6
- Rebuilt for python 3.11

* Wed Sep 13 2023 Shuo Wang <abushwang@tencent.com> - 8.0.3-5
- fix test fail in python3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.0.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.0.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.0.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 9 2023 Shuo Wang <abushwang@tencent.com> - 8.0.3-1
- initial build
